package kmeans_frag.XMLSerialization;


/**
 * A class to encapsulate an input set of 
 * Points for use in the KMeans program and the 
 * reading/writing of a set of points to data files.
 */
public class Fragment {
	private float[][] points;
    
    /* Default constructor */
    public Fragment() {
    }
    
    public Fragment(float[][] pts) {
        this.points = pts;
    }
    
    public Fragment(int dimX, int dimY) {
    	this.points = new float[dimX][];
    	for (int i = 0; i < dimX; ++i) {
    		this.points[i] = new float[dimY];
    	}
    }
    
    public float[][] getPoints() {
    	return this.points;
    }
    
    public float getPoint (int v, int dim) {
    	return this.points[v][dim];
    }
    
    public float[] getVector(int v){
    	return this.points[v];
    }
    
    public void setPoint (float value, int vector, int dim) {
    	assert(vector >= 0 && vector < this.points.length && dim >= 0 && dim < this.points[0].length);
    	
    	this.points[vector][dim] = value;
    }
    
    public void setPoints (float[][] points) {
    	this.points = points;
    }
    
    public int getVectors () {
    	return this.points.length;
    }
    
    public int getDimensions () {
    	return this.points[0].length;
    }
    
    public void print() {
    	for (int i = 0; i < points.length; ++i) {
    		for (int j = 0 ; j < points[i].length; ++j) {
    			System.out.print (points[i][j] + " ");
    		}
    		System.out.println("");
    	}
    }
    
}
