package kmeans_frag.binarySerialization;

import java.io.Serializable;
import java.util.LinkedList;


/**
 * A class to encapsulate an input set of 
 * Points for use in the KMeans program and the 
 * reading/writing of a set of points to data files.
 */
public class Pair implements Serializable {
	private int id;
	private LinkedList<Integer> indexes;
    
	/* Default constructor */
	public Pair(){
		this.id = 0;
		this.indexes = new LinkedList<Integer>();
	}
	
    public Pair(int id) {
        this.id = id;
        this.indexes = new LinkedList<Integer>();
    }
    
    public int getId () {
    	return this.id;
    }
    
    public int getSize() {
    	return this.indexes.size();
    }

    public int[] getIndexes () {
    	int[] ret = new int[this.indexes.size()];
        int i = 0;
        for (Integer e : this.indexes)  
            ret[i++] = e.intValue();
        return ret;
    }
    
    public void setId (int id) {
    	this.id = id;
    }
    
    public void addValue (int index) {
    	this.indexes.add(index);
    }
    
    public void setIndexes (LinkedList<Integer> indexes) {
    	this.indexes = indexes;
    }

}
